Annual Mandatory Training Instructions (formerly Global Compliance)

  • Beginning in the 2023 school year, PCSD is using Cypherworx to provide the mandatory Global Compliance Network(GCN) training that all employees are required to take.

    Bus drivers and transportation department members who receive the training in person prior to the start of the school year do not need to complete the modules.

    All other district employees must complete the GCN modules.  All training must be completed by December 31, 2023.

    The required modules are as follows:

    • Bloodborne Pathogens
    • Hazzard Communications
    • Sexual Harassment
    • Dignity for All Students Act (DASA)
    • Education Law 2-d

    To access the content, use the following link: https://collabornation.net/saml_login_providers/sso/saml_pittsfordcentral

    If prompted for a login, please proceed with your Office 365 login credentials.  These are the same credentials that you use to login to your computer.

    Once logged in, select the tab linking to "Yearly Compliance Course - All Employees"

    Once you Launch the program, you will see the list of GCN modules.

    Four of the five required modules will now have two options; the standard version and the "Short Course", which is the new, updated module.

    Your completion of each module will be recorded within the system.

    Please note that you can leave a module and the program will return you to the place where you left off.

Additional Information

    • If you have completed all of the modules already, you are all set with your GCN requirements for the year and do not need to complete the short versions

    • If you have completed some of the longer modules, you will not lose your progress or be required to redo the ones that are completed. For any of the remaining modules you can now choose the Short Course as an option

    • If you have not completed any of the GCN modules, you can choose all of the Short Courses

    • "NYS Education Law 2-d Training PCSD" was designed to meet minimal requirements, so there is no revised "Short" option